Documentation Index
Fetch the complete documentation index at: https://docs.b1e55ed.permanentupperclass.com/llms.txt
Use this file to discover all available pages before exploring further.
Base URL
Authentication
All endpoints except:GET /healthGET /oracle/producers/{producer_id}/provenance
api.auth_token is empty unless B1E55ED_INSECURE_OK=1 is set.
Set the token (YAML)
Set the token (environment)
Use the token
Error format
Most b1e55ed API errors use a stable machine-readable structure:Rate limiting
Rate limiting is not currently enforced at the API layer.Endpoint groups (quick reference)
| Group | What it’s for | Key endpoints |
|---|---|---|
| Health | Liveness + basic DB size/uptime | GET /health |
| Brain | Regime/kill-switch state + run cycles | GET /brain/status, POST /brain/run |
| Signals | Read or submit signals | GET /signals, POST /signals/submit |
| Events / SSE | Real-time stream of events | GET /events/stream |
| Positions | Open positions view | GET /positions, GET /positions/{id} |
| Producers | Producer registry + health | GET /producers/, GET /producers/status, POST /producers/register |
| Contributors | Registry + scoring + attestations | GET /contributors/, POST /contributors/register, GET /contributors/leaderboard |
| Karma / Treasury | Treasury state + settlement projections | GET /treasury (plus /karma/*) |
| Oracle | Public provenance projection | GET /oracle/producers/{producer_id}/provenance |